package com.slodon.b2b2c.vo.member;

import com.slodon.b2b2c.seller.pojo.Vendor;
import com.slodon.b2b2c.system.pojo.Admin;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 *
 * @author cyan
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class EnquiryVendorVO implements Serializable {

    private static final long serialVersionUID = -8293180755869525230L;

    private Long storeId;

    private Long vendorId;

    private String vendorName;

    public EnquiryVendorVO(Vendor vendor) {
        storeId = vendor.getStoreId();
        vendorId = vendor.getVendorId();
        vendorName = vendor.getVendorName();
    }

    public EnquiryVendorVO(Admin admin) {
        storeId = 0L;
        vendorId = Long.valueOf(admin.getAdminId());
        vendorName = admin.getAdminName();
    }
}
